ARG PHP_VERSION=8.0

FROM php:${PHP_VERSION}-fpm-alpine AS plugin_documentation_creator

COPY --from=composer:latest /usr/bin/composer /tmp/composer
COPY scripts/sync.php /tmp/sync.php
COPY scripts/composer.json /tmp/composer.json

RUN php /tmp/composer update -d /tmp \
  && chmod +x /tmp/sync.php

